# gfxinit.h File Reference

`#include "gfx_type.h"`

Go to the source code of this file.

## Functions

void | CheckExternalFiles ()
| Checks whether the MD5 checksums of the files are correct.
void | GfxLoadSprites ()
void | LoadSpritesIndexed (int file_index, uint *sprite_id, const SpriteID *index_tbl)

## Detailed Description

Definition in file gfxinit.h.

## Function Documentation

void CheckExternalFiles | ( |  | ) |

Checks whether the MD5 checksums of the files are correct.

Note:
  Also checks sample.cat and other required non-NewGRF GRFs for corruption.

Definition at line 163 of file gfxinit.cpp.

References DeterminePalette(), and FileMD5().